Package org.apache.tapestry5.internal.services

# Enum XMLTokenType

java.lang.Object
java.lang.Enum<XMLTokenType>
org.apache.tapestry5.internal.services.XMLTokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLTokenType>`, `java.lang.constant.Constable`

public enum XMLTokenType extends Enum<XMLTokenType>
Identifies type of `XMLToken`.

Since:
  5.2.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTRIBUTE`
  `CDATA`
  `CHARACTERS`
  `COMMENT`
  `DTD`
  `END_DOCUMENT`
  `END_ELEMENT`
  `ENTITY_DECLARATION`
  `ENTITY_REFERENCE`
  `NAMESPACE`
  `NOTATION_DECLARATION`
  `SPACE`
  `START_ELEMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XMLTokenType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static XMLTokenType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DTD

    public static final XMLTokenType DTD

  - ### START_ELEMENT

    public static final XMLTokenType START_ELEMENT

  - ### END_ELEMENT

    public static final XMLTokenType END_ELEMENT

  - ### END_DOCUMENT

    public static final XMLTokenType END_DOCUMENT

  - ### COMMENT

    public static final XMLTokenType COMMENT

  - ### SPACE

    public static final XMLTokenType SPACE

  - ### CHARACTERS

    public static final XMLTokenType CHARACTERS

  - ### CDATA

    public static final XMLTokenType CDATA

  - ### ENTITY_REFERENCE

    public static final XMLTokenType ENTITY_REFERENCE

  - ### ATTRIBUTE

    public static final XMLTokenType ATTRIBUTE

  - ### NAMESPACE

    public static final XMLTokenType NAMESPACE

  - ### NOTATION_DECLARATION

    public static final XMLTokenType NOTATION_DECLARATION

  - ### ENTITY_DECLARATION

    public static final XMLTokenType ENTITY_DECLARATION

- ## Method Details

  - ### values

    public static XMLTokenType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static XMLTokenType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null